% BarMap-QA: BarMap simulation and quality assurance pipeline
% Felix Kuehnl
% 2019-08-09

# Copyright and license

    Copyright 2019 Felix Kuehnl

    All parts of this software are released under the GNU General Public
    License, as stated in the individual files. A copy of the license is found
    in file COPYING.


# Description

[TODO Description]

# System requirements and dependencies

[TODO Sys requirements]
The pipeline has been tested under Fedora 27 and 30  as well as Ubuntu 16.04
Xenial LTS.

We recommend using the same versions of all external software, namely
ViennaRNA v2.4.13, Barriers v1.6.0, and Treekin v0.4.2.


[TODO complete]

[TODO update]
To run the pipeline, make sure you have installed and set up the following
programs in (at least) the specified version:

- Bash v4
- Gnu Make (to run the tests)
- gcc (Gnu C compiler, for compiling Perl modules with binary code)
- Perl v5.14 or higher
- Cpanminus (the simplified Perl package manager)
- Grace (for plotting)
- GhostScript (ps2pdf for printing PDFs)

The following is provided by the [Theoretical Biochemistry Department (TBI) of
the University of Vienna](https://www.tbi.univie.ac.at/RNA/):

-   Barriers

    Note: Due to a bug in the most recent release v1.7.0 of Barriers, not all
    computed minima are present in the output. We recommend to continue using
    v1.6.0 until this issue has been resolved.
-   ViennaRNA v2.4.13 including Perl bindings
-   Treekin v0.4.2


# Installation

The distribution provides the shell script `install.sh`, which performs the
task of installing further dependencies as well as the components of the
pipeline on the system. Simply execute the script and follow the instructions.

TODO need this?

-   make sure that all programs and scripts found in this distribution
    are marked as executable and available via your PATH variable, i.e.
    change back to the directory of this distribution and execute:

    ```bash
    chmod u+x ./bin/*
    export PATH="$(pwd)/bin:$PATH"
    ```

# Testing

After setting up all the tools, you should run some test scripts to verify
that everything works as expected. Make sure you are in the distribution's
directory an run:

    make test

The pipeline is highly customizable via command line arguments. To get an
overview, run

    TODO -h

to see the program help.


# Examples

The following example runs the entire pipeline, generating kinetics output in
file `barmap.out.kin_t8_1e3.merge`:

```bash
sequence='ACAUGCGGAGAUACACCUUACAGACAUGCC'
barmap_gen_barmapfile -t 4 "$sequence" >/dev/null
```

The output can be plotted using `grace -nxy KINETICS_FILE`. A PDF file of this
plot named `barmap.out.kin_t8_1e3.merge` is automatically generated by the
pipeline. Additionally, textual information about the run can be obtained by
running

```bash
barmap_show_run barmap.out barmap.out.kin_t8_1e3 | less -S
```

where the pager `less` is invoked to allow for an easier navigation through
the output.


# Contact information

Should you have any questions, suggestions or bug reports, feel free to write
an email to the authors:

Sven Findeiss <sven at bioinf.uni-leipzig.de>
Felix Kuehnl <felix at bioinf.uni-leipzig.de>

<!-- EOF -->

